EXT_WBINFO_GROUP_ACL(8)

NAME
 ext_wbinfo_group_acl - external ACL helper for Squid to verify NT Domain group membership using wbinfo.

SYNOPSIS
 ext_wbinfo_group_acl [-dhK]

DESCRIPTION
ext_wbinfo_group_acl is an installed executable script. It uses wbinfo from Samba to lookup group membership of logged in users.

This helper must be used in with an authentication scheme (typically Basic or NTLM) based on Windows NT/2000 domain users.

It reads from the standard input the domain username and a list of groups and tries to match each against the groups membership of the specified username.

OPTIONS

-d  Write debug info to stderr.

-h  Print the help.

-K  Downgrade Kerberos credentials to NTLM.

CONFIGURATION
  external_acl_type wbinfo_check %LOGIN /path/to/ext_wbinfo_group_acl
  acl allowed_group external wbinfo_check Group1 Group2
  http_access allow allowed_group

If the local perl interpreter is in a unusual location it may need to be added:

  external_acl_type wbinfo_check %LOGIN /path/to/perl /path/to/ext_wbinfo_group_acl

AUTHOR
This program was written by Jerry Murdock <jmurdock@itraktech.com>

This manual was written by Amos Jeffries <amosjeffries@squid-cache.org>

COPYRIGHT
 * Copyright (C) 1996-2023 The Squid Software Foundation and contributors
 *
 * Squid software is distributed under GPLv2+ license and includes
 * contributions from numerous individuals and organizations.
 * Please see the COPYING and CONTRIBUTORS files for details.

 This program is put in the public domain by Jerry Murdock
 <jmurdock@itraktech.com>. It is distributed in the hope that it will
 be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

QUESTIONS
Questions on the usage of this program can be sent to the Squid Users mailing list <squid-users@lists.squid-cache.org>

REPORTING BUGS
Bug reports need to be made in English. See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.

Report bugs or bug fixes using http://bugs.squid-cache.org/

Report serious security bugs to Squid Bugs <squid-bugs@lists.squid-cache.org>

Report ideas for new improvements to the Squid Developers mailing list <squid-dev@lists.squid-cache.org>

SEE ALSO
The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq

The Squid Configuration Manual http://www.squid-cache.org/Doc/config/